OPENSSL_CLEANSE(3)

NAME
OPENSSL_cleanse - OpenSSL memory cleaning operation

SYNOPSIS
libcrypto
#include <openssl/crypto.h>
void
OPENSSL_cleanse(void *ptr, size_t len);

DESCRIPTION
Do not use the interface documented here. It is provided purely for compatibility with legacy application code.

OPENSSL_cleanse() has the same semantics as, and is a wrapper around, explicit_bzero(3).

SEE ALSO
crypto(3)

HISTORY
OPENSSL_cleanse() first appeared in OpenSSL 0.9.6h and has been available since OpenBSD 3.4.